Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class SDKSequence

`java.lang.Object
oracle.toplink.sequencing.Sequence
oracle.toplink.sequencing.StandardSequence
oracle.toplink.sequencing.QuerySequence
oracle.toplink.sdk.SDKSequence`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  XMLSequence

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class SDKSequence
extends QuerySequence

`SDKSequence` builds the queries for using sequence numbers. Subclasses will need to override the appropriate methods that build the platform-specific `Call`s.

See Also:
  Serialized Form

Constructor Summary
`SDKSequence()` Deprecated.
`SDKSequence(java.lang.String name)` Deprecated.
`SDKSequence(java.lang.String name, int size)` Deprecated.
`SDKSequence(java.lang.String name, int size, java.lang.String counterFieldName, java.lang.String nameFieldName)` Deprecated.
`SDKSequence(java.lang.String name, java.lang.String nameFieldName, java.lang.String counterFieldName)` Deprecated.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Deprecated.
`java.lang.String` | `getCounterFieldName()` Deprecated.
`java.lang.String` | `getNameFieldName()` Deprecated.
`void` | `setCounterFieldName(java.lang.String name)` Deprecated.
`void` | `setNameFieldName(java.lang.String name)` Deprecated.

Methods inherited from class oracle.toplink.sequencing.QuerySequence
`getSelectQuery, getUpdateQuery, setSelectQuery, setShouldAcquireValueAfterInsert, setShouldSelectBeforeUpdate, setShouldSkipUpdate, setShouldUseTransaction, setUpdateQuery, shouldAcquireValueAfterInsert, shouldSelectBeforeUpdate, shouldSkipUpdate, shouldUseTransaction`

Methods inherited from class oracle.toplink.sequencing.StandardSequence
`getGeneratedValue, getGeneratedVector`

Methods inherited from class oracle.toplink.sequencing.Sequence
`clone, equalNameAndSize, getDatasourcePlatform, getName, getPreallocationSize, isConnected, setName, setPreallocationSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDKSequence

    public SDKSequence()

  Deprecated.

### SDKSequence

    public SDKSequence(java.lang.String name)

  Deprecated.

### SDKSequence

    public SDKSequence(java.lang.String name,
                       int size)

  Deprecated.

### SDKSequence

    public SDKSequence(java.lang.String name,
                       java.lang.String nameFieldName,
                       java.lang.String counterFieldName)

  Deprecated.

### SDKSequence

    public SDKSequence(java.lang.String name,
                       int size,
                       java.lang.String counterFieldName,
                       java.lang.String nameFieldName)

  Deprecated.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Overrides:
    `equals` in class `QuerySequence`

### getCounterFieldName

    public java.lang.String getCounterFieldName()

  Deprecated.

### setCounterFieldName

    public void setCounterFieldName(java.lang.String name)

  Deprecated.

### getNameFieldName

    public java.lang.String getNameFieldName()

  Deprecated.

### setNameFieldName

    public void setNameFieldName(java.lang.String name)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD